<?php

// Uncomment this to test your localization, make sure to enter the right language code.
// function test_localization( $locale ) {
// 	return "nl_NL";
// }
// add_filter('locale','test_localization');

load_theme_textdomain('studiopress', TEMPLATEPATH.'/languages/');

if ( function_exists('register_sidebars') ) {
	register_sidebar(array('name'=>'Sidebar Post','before_title'=>'<h4>','after_title'=>'</h4>'));
	register_sidebar(array('name'=>'Sidebar Page','before_title'=>'<h4>','after_title'=>'</h4>'));
	register_sidebar(array('name'=>'Homepage Middle','before_title'=>'<h4>','after_title'=>'</h4>'));
	register_sidebar(array('name'=>'Homepage Bottom Left','before_title'=>'<h4>','after_title'=>'</h4>'));
	register_sidebar(array('name'=>'Homepage Bottom Right','before_title'=>'<h4>','after_title'=>'</h4>'));
	register_sidebar(array('name'=>'Homepage Sidebar','before_title'=>'<h4>','after_title'=>'</h4>'));
	}

add_filter('comments_template', 'legacy_comments');

function legacy_comments($file) {

	if(!function_exists('wp_list_comments')) : // WP 2.7-only check
		$file = TEMPLATEPATH . '/legacy.comments.php';
	endif;

	return $file;
}

function css_file_dropdown($args) {
	$themes = get_themes();
	$theme = get_current_theme();
	$stylesheets = $themes[$theme]['Stylesheet Files'];
	
	echo '<select name="'.$args['name'].'" >'."\n";
		
		echo '<option style="padding-right:10px;" value="">style.css</option>';
		foreach((array)$stylesheets as $stylesheet) {
			$stylesheet = basename($stylesheet);
			if($stylesheet == $args['selected']) $selected = 'selected';
			if($stylesheet != 'style.css')
			echo '<option value="'.$stylesheet.'" '.$selected.'>'. $stylesheet . '</option>'."\n";
		}
	
	echo '</select>'."\n";
}

// Turn a category ID to a Name
function cat_id_to_name($id) {
	return get_cat_name($id);
}

// include the theme options
include(TEMPLATEPATH."/tools/theme-options.php");

// include our custom widgets, if we're using 2.8 or above
global $wp_version;
if(version_compare($wp_version, '2.8', '>=')) {
	// includes the enews widget in the dashboard
	include(TEMPLATEPATH."/tools/enews.php");
}

// include the dashboard widget
include(TEMPLATEPATH."/tools/sp_dashboard_widget.php");

function the_content_limit($max_char, $more_link_text = '(more...)', $stripteaser = 0, $more_file = '') {
    $content = get_the_content($more_link_text, $stripteaser, $more_file);
    $content = apply_filters('the_content', $content);
    $content = str_replace(']]>', ']]&gt;', $content);
    $content = strip_tags($content);

   if (strlen($_GET['p']) > 0) {
      echo "<p>";
      echo $content;
      echo "&nbsp;<a href='";
      the_permalink();
      echo "'>"."Read More &rarr;</a>";
      echo "</p>";
   }
   else if ((strlen($content)>$max_char) && ($espacio = strpos($content, " ", $max_char ))) {
        $content = substr($content, 0, $espacio);
        $content = $content;
        echo "<p>";
        echo $content;
        echo "...";
        echo "&nbsp;<a href='";
        the_permalink();
        echo "'>".$more_link_text."</a>";
        echo "</p>";
   }
   else {
      echo "<p>";
      echo $content;
      echo "&nbsp;<a href='";
      the_permalink();
      echo "'>"."Read More &rarr;</a>";
      echo "</p>";
   }
}

?>